Bug 1928833 - CVE-2020-36148 libmysofa: Incorrect handling of input data in verifyAttribute function [fedora-all]
Summary: CVE-2020-36148 libmysofa: Incorrect handling of input data in verifyAttribute...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmysofa
Version: 33
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-36148
TreeView+ depends on / blocked
 
Reported: 2021-02-15 15:56 UTC by Michael Kaplan
Modified: 2021-03-04 19:56 UTC (History)
1 user (show)

Fixed In Version: libmysofa-1.2-4.fc32 libmysofa-1.2-4.el7 libmysofa-1.2-4.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-26 01:08:56 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2021-02-15 15:56:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2021-02-15 15:56:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1928831,1928833

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-02-17 12:34:05 UTC
FEDORA-2021-4e40ccb5e6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4e40ccb5e6

Comment 3 Fedora Update System 2021-02-17 12:34:26 UTC
FEDORA-EPEL-2021-bfa4482ae0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bfa4482ae0

Comment 4 Fedora Update System 2021-02-17 12:34:45 UTC
FEDORA-EPEL-2021-389d1fe8e6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-389d1fe8e6

Comment 5 Fedora Update System 2021-02-18 01:26:26 UTC
FEDORA-EPEL-2021-389d1fe8e6 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-389d1fe8e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-02-18 01:36:54 UTC
FEDORA-EPEL-2021-bfa4482ae0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bfa4482ae0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-18 02:17:19 UTC
FEDORA-2021-4e40ccb5e6 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4e40ccb5e6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4e40ccb5e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-26 01:08:56 UTC
FEDORA-2021-4e40ccb5e6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-04 19:31:14 UTC
FEDORA-EPEL-2021-389d1fe8e6 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-03-04 19:56:58 UTC
FEDORA-EPEL-2021-bfa4482ae0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.